<template>
  <div class="hold-transition login-page">
    <div class="login-box">
      <div class="login-logo">
        <router-link to="/login"><b>Anisha</b>Maharjan</router-link>
      </div>
      <!-- /.login-logo -->
      <div class="card">
        <div class="card-body login-card-body">
          <p class="login-box-msg">Sign in to start your session</p>

          <form @submit.prevent="login">
            <div class="input-group mb-3">
              <input v-model="user.email" type="email" class="form-control" placeholder="Email" name="email" :class="{ 'is-invalid': user.errors.has('email') }">
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-envelope"></span>
                </div>
              </div>
              <has-error :form="user" field="email"></has-error>
            </div>
            <div class="input-group mb-3">
              <input v-model="user.password" type="password" class="form-control" placeholder="Password" name="password" :class="{ 'is-invalid': user.errors.has('password') }">
              <div class="input-group-append">
                <div class="input-group-text">
                  <span class="fas fa-lock"></span>
                </div>
              </div>
              <has-error :form="user" field="password"></has-error>
            </div>
            <div class="row">
              <div class="col-8">
                <div class="icheck-primary">
                  <input type="checkbox" id="remember">
                  <label for="remember">
                    Remember Me
                  </label>
                </div>
              </div>
              <!-- /.col -->
              <div class="col-4">
                <button type="submit" class="btn btn-primary btn-block">Sign In</button>
              </div>
              <!-- /.col -->
            </div>
          </form>

          <p class="mb-0 mt-3" style="float:right">
            Don't have an account? 
            <router-link to="/register" class="text-center">Register here</router-link>
          </p>
        </div>
        <!-- /.login-card-body -->
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'Login',
  data() {
    return {
        user: new this.$Form ({
            email: '',
            password: '',
        })
    }
  },
  methods:{
    login(){
      if(this.user.email==""){
        this.user.errors.errors ={ "email" : "Please fill this field."}
      }
      else if(this.user.password==""){
        this.user.errors.errors ={ "password" : "Please fill this field."}
      }
      else{
        this.$axios.post('http://localhost:8000/api/login', 
        {
          email: this.user.email,
          password: this.user.password
        })
        .then((response)=>{
          localStorage.setItem("token", response.data.success.token)
          localStorage.setItem("user_name", response.data.success.user_name)
          this.$router.push("/")
        })
        .catch((error)=>{
          console.log(error)
        })
      }
    }
  },
  mounted(){
    if(localStorage.getItem("token")){
      this.$router.push('/')
    }
    else{
      console.log("Login component mounted")
    }
  }
}
</script>